Convert Variant to Bundle

View as Markdown
Converts an existing product variant into a bundle product. Provide the bundle definition specifying which variants and quantities make up the bundle.

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

variantIdstringRequiredformat: "int64"

Request

The variant request that is to be converted to bundle
bundle_definitionlist of objects or nullOptional
channel_metadatalist of objects or nullOptional
namestring or nullOptional
skustring or nullOptional

Response

Created
created_ondatetimeOptional
Timestamp when the product was created
idlongOptional
Unique identifier for the product
namestring or nullOptional
Product name
taxonomyobjectOptional
Product categorization information including category hierarchy
typestring or nullOptional

Product type (e.g., ‘Regular’ or ‘Bundle’)

updated_ondatetime or nullOptional
Timestamp when the product was last updated
user_idlongOptional
ID of the user who owns this product
variantslist of objects or nullOptional
List of variants belonging to this product. Each variant represents a specific SKU.